Summary
Rename Workflow
Description
Rename a Workflow in the database
Route
POST /workflow_builder/workflows/rename
Roles
admin
engineering
support
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| workflow |
object |
yes |
Workflow's data. |
| newName |
string |
yes |
New name for workflow |
Copied to Clipboard
{
"workflow": {
"name": "My Workflow",
"type": "automation",
"tasks": {
"workflow_start": {
"name": "workflow_start",
"summary": "workflow_start",
"groups": [
"2abb88f5af3c679526d0e8a7",
"11cbb398aee04597766b69db",
"9d3ac979af328ef58706cc06"
],
"x": 70666568.20146328,
"y": 95220000.97788608
},
"workflow_end": {
"name": "workflow_end",
"summary": "workflow_end",
"groups": [
"7acd1c820bbb1368d0c03ce1",
"9e0cb201be7c16fefe23ca0d",
"1d56990045cc40334462cd94",
"0e9cc5cbb5a74747140e42b4"
],
"x": 80871227.31689695,
"y": 76301748.79837358
},
"error_handler": {
"name": "childJob",
"summary": "pariatur adipisicing Excepteur dolore",
"description": "id ipsum deserunt exercitation dolor",
"app": "cillum eu pariatur nulla",
"variables": {
"error": "",
"decorators": [
{
"type": "encryption",
"pointer": "/MQ3Ck9cjCFf/~1/~0/~0/~1/TX,PTOCO./~0/Vfz/~1/~0/~1"
}
]
},
"groups": [
"7ff485fba259a58fcd13b8eb",
"4dadf54349fd6992cd9132eb",
"70b20e48e3d7ef1b1ef6dd88",
"5268b344272e5f9bf7031a00"
],
"x": -92666505.6957698,
"y": 45221084.020694435,
"type": "operation",
"gridCoordinate": {
"x": -2538087.0220491886,
"y": 21987172.619630963
},
"deprecated": true,
"scheduled": true
}
},
"transitions": {},
"groups": [
"39bf4ad6215f3d804e916540",
"ef19910a2d4f6c47c8b12a0e",
"552d303aed126ffaba4abff4",
"d3b02d48f78197c4528a625f"
],
"_id": "c647d3f7-c064-fd23-a711-34970dab8008",
"description": null,
"errorHandler": {
"type": "dolore id ea",
"name": "sed cupidatat esse laboris"
},
"font_size": 12,
"created": "1997-07-15T01:45:42.663Z",
"created_by": "ffab7e6e158ebf5942dbe16b",
"createdVersion": "mollit anim qui incididunt in",
"last_updated": "1949-10-22T17:32:28.772Z",
"last_updated_by": "d35cc39c7d5b555d65fd6b6b",
"lastUpdatedVersion": "laborum Excepteur elit ut",
"tags": [
"ut culpa"
],
"canvasVersion": 2,
"encodingVersion": 1,
"decorators": [
{
"type": "encryption",
"pointer": "/S/~1/~1"
},
{
"type": "encryption",
"pointer": "/~1/~0/GMmmSKKC/sA2Pp3ozM/cAHi/~1/V5ki/n6qpg/~0/q3YV/~0"
},
{
"type": "encryption",
"pointer": "/~0/OMFn/UZ0i/z/~0/IVCxp-GXl/tLcBXQ23d/ix/EQd/~0"
},
{
"type": "encryption",
"pointer": "/~1/hqe/~1/~0/HGQR/~0/Lb/~1/gdA8/~0/pzCwpk8Zdga"
},
{
"type": "encryption",
"pointer": "/ZVFblOQE/~0/~0/~0/O+V/~1/~0/lEzZxDIsoh/~0"
}
]
},
"newName": "New Workflow Name"
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| data |
object |
The renamed Workflow with its data and ID. |
Copied to Clipboard
{
"name": "My Workflow",
"type": "automation",
"tasks": {
"workflow_start": {
"name": "workflow_start",
"summary": "workflow_start",
"groups": [
"648d156a9c43f717eda102a7"
],
"x": -44013081.26675585,
"y": 4316824.060782358
},
"workflow_end": {
"name": "workflow_end",
"summary": "workflow_end",
"groups": [
"e66386ada242e2fa056ed2fd"
],
"x": 19602077.723358095,
"y": 91341988.8968328
},
"error_handler": {
"name": "childJob",
"summary": "ex mollit in nisi amet",
"description": "laboris",
"app": "cillum Duis Lorem dolore aliquip",
"variables": {
"error": "",
"decorators": [
{
"type": "encryption",
"pointer": "/~1/pMdyGi/~0/hqhiEWclmtU/~0/Bz/~0/sdYgzz7/JY9u"
},
{
"type": "encryption",
"pointer": "/R,S/~1/~0/~1/~0"
},
{
"type": "encryption",
"pointer": "/XWfQVv+jZ/Y/xd24aXeuZJo"
}
]
},
"groups": [
"ffc63d3e3ba65d635672b452",
"c234a680f00dd06961914f7d",
"a9073987d333542176e4e8dd"
],
"x": -29485145.58574669,
"y": -78126702.8070467,
"type": "operation",
"gridCoordinate": {
"x": -79005035.59284121,
"y": 88778497.4479152
},
"deprecated": true,
"scheduled": false
}
},
"transitions": {},
"groups": [
"d71f272ae6e465109ae6afa0",
"06df90ff9dd17eefe9546068",
"81d5530233363b9fe8a1a5a3",
"637dc806cbf662f411978902",
"883020b4b8cdb16f6fd09323"
],
"_id": "22eb1393-5061-ca72-db04-002dff49c03c",
"description": null,
"errorHandler": {
"type": "veniam est",
"name": "sint esse cillum in eiusmod"
},
"font_size": 12,
"created": "1976-04-16T15:29:07.844Z",
"created_by": "d6748b211a70778325fb1212",
"createdVersion": "labore exercitation qui non occaecat",
"last_updated": "2025-01-07T22:50:06.433Z",
"last_updated_by": "27a136f8928d953005bc42bf",
"lastUpdatedVersion": "ad",
"tags": [
"ipsum exercitation do laboris qui",
"esse Lorem laboris",
"laboris officia irure laborum",
"in proident"
],
"canvasVersion": 1.5,
"encodingVersion": 1,
"decorators": [
{
"type": "encryption",
"pointer": "/~1/W5NpA/hMU/~1/M98j/~0/~1/~1/f9O0/~0/hq2NAJS"
},
{
"type": "encryption",
"pointer": "/AMuxzXR/~0/~0/agw1,i7/LlgN/xB9ShOc/fiOqgQM1L/~1/~0/xGsr/OYKG"
}
]
}